<script lang="ts">
  import { createActionDispatcher } from "../actionUtils";

  const dispatchAction = createActionDispatcher();

  export let user: Player;
</script>

<div class="wrapper">
  <em>Take the card? &uarr;</em>
  <p>
    <button
      class="secondary"
      on:click={() => dispatchAction("Pass")}
      disabled={user.chips === 0}
    >
      No, thank you!
    </button>

    <button class="primary" on:click={() => dispatchAction("Take")}>
      Yes, please!
    </button>
  </p>
</div>

<style>
  .wrapper {
    text-align: center;
    width: 30rem;
  }

  em {
    font-weight: 300;
  }
</style>
